LLVMC=llvm-config
LLVM_LINKER=-lc++ $(shell ${LLVMC} --libs core --cxxflags --ldflags --system-libs|tr '\n' ' ')

all:
	odin run src -o:none -debug -out:speedcat -extra-linker-flags:"${LLVM_LINKER}" -- ${COMP_ARGS} pong.cat && \
	clang -I/opt/local/include -L/opt/local/lib -lraylib -lm  -framework Cocoa -framework OpenGL -framework IOKit pong.ll -o raylib
